<?xml version="1.1" encoding="UTF-8" standalone="no"?>
<databaseChangeLog
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
        xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd">
    <changeSet author="KES" id="add-parameter-material-rueckgabe-erwartet" labels="1.0.2">
        <sql>
            insert into lp_parametermandant(c_nr, mandant_c_nr, c_kategorie, c_wert, t_aendern, personal_i_id_aendern, c_bemerkungsmall, c_bemerkunglarge, c_datentyp)
            select * from (
              select 'ANZEIGEN_REFERENZ_ARTIKEL_IN_AUSWAHLLISTE' as param_cnr, c_nr as mandant_c_nr, 'ARTIKEL' as kategorie, '0' as default_value, CURRENT_DATE,
                     (select i_id from pers_personal where i_id = 11 union  /* Select the default-KEA-Admin User. */
                      select min(personal_i_id_aendern) /* If the defaukt KEA-Admin User does-not exists, select as person the minimum of the existing parameters this should be the KES Admin */
                      from lp_parametermandant
                      where not exists(select i_id from pers_personal where i_id = 11)
                      having min(personal_i_id_aendern) is not null) as personal_id,
                     'Referenzartikel in der Artikelauswahl anzeigen.' as bemerkungsmall,
                     'Referenzartikel in der Artikelauswahl anzeigen.' as bemerkunglarge,
                     'java.lang.Boolean' as datentyp
              from lp_mandant) new_parameter
            where not exists (select 7 from lp_parametermandant where c_nr = new_parameter.param_cnr and mandant_c_nr = new_parameter.mandant_c_nr);
        </sql>
    </changeSet>
</databaseChangeLog>
